> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/release-orchestration/api-reference/freeze-beta.md).

# Freeze \[Beta]

## Get Freeze Details by Identifiers

> Retrieve detailed freeze information including entity extraction for a specific freeze.

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Freeze"}],"servers":[{"url":"/api"}],"paths":{"/freeze/details/{freeze_identifier}":{"get":{"description":"Retrieve detailed freeze information including entity extraction for a specific freeze.","operationId":"GetFreezeDetails","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"},{"description":"The freeze identifier to get details for","in":"path","name":"freeze_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/FreezeDetailsResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Freeze Details by Identifiers","tags":["Freeze"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"responses":{"FreezeDetailsResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreezeDetailsDTO"}}},"description":"Detailed freeze information with entity extraction"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"FreezeDetailsDTO":{"description":"Detailed freeze information with entity extraction","properties":{"description":{"description":"Freeze description","type":"string"},"entities":{"$ref":"#/components/schemas/FreezeEntitiesDTO"},"expectedEndTs":{"description":"Expected end timestamp","format":"int64","type":"integer"},"expectedStartTs":{"description":"Expected start timestamp","format":"int64","type":"integer"},"freeze_identifier":{"description":"Freeze identifier","type":"string"},"name":{"description":"Freeze name","type":"string"},"orgIdentifier":{"description":"Organization identifier","type":"string"},"projectIdentifier":{"description":"Project identifier","type":"string"},"status":{"description":"Freeze status","enum":["Enabled","Disabled"],"type":"string"}},"required":["freeze_identifier","orgIdentifier","projectIdentifier","name","entities","expectedStartTs","expectedEndTs"],"type":"object"},"FreezeEntitiesDTO":{"description":"Entity information extracted from freeze YAML configuration","properties":{"environmentTypes":{"description":"Environment type identifiers extracted from YAML. Contains \"__ALL__\" marker if all environment types are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"},"environments":{"description":"Environment identifiers extracted from YAML. Contains \"__ALL__\" marker if all environments are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"},"organizations":{"description":"Organization identifiers extracted from YAML. Contains \"__ALL__\" marker if all organizations are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"},"pipelines":{"description":"Pipeline identifiers extracted from YAML. Contains \"__ALL__\" marker if all pipelines are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"},"projects":{"description":"Project identifiers extracted from YAML. Contains \"__ALL__\" marker if all projects are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"},"services":{"description":"Service identifiers extracted from YAML. Contains \"__ALL__\" marker if all services are frozen (filterType=\"All\").","items":{"type":"string"},"type":"array"}},"required":["services","environments","environmentTypes","projects","organizations","pipelines"],"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```

## Get Freeze List by Timestamp

> Retrieve a paginated list of freeze information for all active freezes that overlap with the specified time range (startTime to endTime).

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Freeze"}],"servers":[{"url":"/api"}],"paths":{"/freeze/list":{"get":{"description":"Retrieve a paginated list of freeze information for all active freezes that overlap with the specified time range (startTime to endTime).","operationId":"GetFreezeList","parameters":[{"$ref":"#/components/parameters/AccountParam"},{"$ref":"#/components/parameters/OrgParam"},{"$ref":"#/components/parameters/ProjectParam"},{"description":"Start timestamp for filtering freeze recurrences (in milliseconds)","in":"query","name":"startTime","required":true,"schema":{"format":"int64","type":"integer"}},{"description":"End timestamp for filtering freeze recurrences (in milliseconds)","in":"query","name":"endTime","required":true,"schema":{"format":"int64","type":"integer"}},{"description":"Cursor for pagination","in":"query","name":"cursor","schema":{"type":"string"}},{"description":"Maximum number of items to return","in":"query","name":"limit","schema":{"default":50,"maximum":500,"type":"integer"}}],"responses":{"200":{"$ref":"#/components/responses/FreezeListResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Freeze List by Timestamp","tags":["Freeze"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}},"OrgParam":{"description":"Organisation Identifier","in":"query","name":"orgIdentifier","schema":{"type":"string"}},"ProjectParam":{"description":"Project Identifier","in":"query","name":"projectIdentifier","schema":{"type":"string"}}},"responses":{"FreezeListResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreezeListResponseDTO"}}},"description":"Paginated list of freeze information"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"FreezeListResponseDTO":{"description":"Paginated response containing freeze list items","properties":{"freezes":{"description":"List of freeze items","items":{"$ref":"#/components/schemas/FreezeListItemDTO"},"type":"array"},"last":{"description":"Whether this is the last page of results","type":"boolean"},"nextRequest":{"$ref":"#/components/schemas/NextRequest"}},"required":["freezes","nextRequest","last"],"type":"object"},"FreezeListItemDTO":{"description":"Basic freeze information for list view","properties":{"expectedEndTs":{"description":"Expected end timestamp","format":"int64","type":"integer"},"expectedStartTs":{"description":"Expected start timestamp","format":"int64","type":"integer"},"identifier":{"description":"Freeze identifier","type":"string"},"name":{"description":"Freeze name","type":"string"},"orgIdentifier":{"description":"Organization identifier","type":"string"},"projectIdentifier":{"description":"Project identifier","type":"string"}},"required":["name","expectedStartTs","expectedEndTs","orgIdentifier","projectIdentifier","identifier"],"type":"object"},"NextRequest":{"properties":{"cursor":{"type":"string"},"limit":{"type":"integer"}},"type":"object"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}}}}
```
